This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473056 - Czech keyboard with QWERTZ layout not working in Anaconda installer
Czech keyboard with QWERTZ layout not working in Anaconda installer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 05:43 EST by Pavel Stárek (CZ)
Modified: 2009-01-27 07:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 07:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix Czech qwertz kbd layout (914 bytes, patch)
2008-11-26 09:49 EST, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Pavel Stárek (CZ) 2008-11-26 05:43:32 EST
Description of problem:

Czech keyboard with QWERTZ layout not working after selection in next steps of anaconda installation process.  

Version-Release number of selected component (if applicable):

anaconda-11.4.1.62-1.i386.rpm - I think about that this is the same version as "Anaconda runtime" on bootable DVD installation media?

How reproducible:

allways


Steps to Reproduce:

1. Boot i386 install DVD.
2. Select Czech (Čeština) language for installation
3. select Czech keyboard layout without qwerty
4. and nothing happens, Czech keyboard with QWERTY layout is still in use in next pages of installer.
  
Actual results:


Expected results:

Czech QWERTZ keyboard layout in Anaconda and in Xorg server after selecting in Anaconda installer.



Additional info:
Comment 1 Michal Schmidt 2008-11-26 09:39:02 EST
I looked into Anaconda source and it uses system-config-keyboard to set the layout. s-c-k uses rhpl's list of keyboard layouts. That list lives in
/usr/lib/python2.5/site-packages/rhpl/keyboard_models.py.
And here's how the Czech layout is defined there:

'cz-us-qwertz'            : [N_('keyboard|Czech'), 'us,cz', 'pc1    05', '', 'grp:shifts_toggle,grp_led:scroll'],

No wonder the keyboard is not actually switched to Czech - the primary group is 'us'.

Pavel, does pressing both Shift keys switch the layout? (that
s what the 'grp:shifts_toggle' does)

If the user selects Czech, he should get it. Reassigning to rhpl. BTW, Czech is not the only layout defined this way.
Comment 2 Michal Schmidt 2008-11-26 09:49:29 EST
Created attachment 324724 [details]
fix Czech qwertz kbd layout

Can we please have the order changed from us,cz to cz,us in the Czech layout like in this patch? Or maybe offer cz only?
Comment 4 Pavel Stárek (CZ) 2008-11-26 10:35:46 EST
(In reply to comment #1)
> Pavel, does pressing both Shift keys switch the layout? (that
> s what the 'grp:shifts_toggle' does)
> 
> If the user selects Czech, he should get it. Reassigning to rhpl. BTW, Czech is
> not the only layout defined this way.

Pressing both Shifts after keyboard layout selection works as expected in Anaconda on F10 installation DVD! Did not occur to me to try it. Changing status to CLOSED.
Comment 5 Michal Schmidt 2008-11-26 10:45:08 EST
Reopening. Pressing the Shifts is non-obvious and should not be required. The Czech group should be the primary one.
Comment 6 Martin Sivák 2009-01-27 07:00:35 EST
Modified in rhpl 0.218

Note You need to log in before you can comment on or make changes to this bug.